[前][次][番号順一覧][スレッド一覧]

ruby-changes:56843

From: Takashi <ko1@a...>
Date: Wed, 7 Aug 2019 01:35:08 +0900 (JST)
Subject: [ruby-changes:56843] Takashi Kokubun: 2d6b92c5f6 (master): Retry ubuntu-toolchain-r-test apt source setup

https://git.ruby-lang.org/ruby.git/commit/?id=2d6b92c5f6

From 2d6b92c5f6b6343f34bb363604339f4bd7b951ac Mon Sep 17 00:00:00 2001
From: Takashi Kokubun <takashikkbn@g...>
Date: Wed, 7 Aug 2019 01:26:02 +0900
Subject: Retry ubuntu-toolchain-r-test apt source setup

In 614c90fe21cf1d9cf6fb18684187d8c7e2f61de6, I assumed
apt-add-repository has been stable recently, but I saw PR randomly
failed for it today.

This commit only deals with "ubuntu-toolchain-r-test" and does NOT deal
with `llvm-toolchain-xenial-8` intentionally, because what it does
(mainly curl from build.travis-ci.org) seems to be more reliable than
"ubuntu-toolchain-r-test". Also `&clang-8` jobs are basically
allow_failures and it's less important to be stabilized.

diff --git a/.travis.yml b/.travis.yml
index d730deb..fa63709 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -82,16 +82,19 @@ env: https://github.com/ruby/ruby/blob/trunk/.travis.yml#L82
 
   - &gcc-8
     compiler: gcc-8
-    addons:
-      apt:
-        config:
-          retries: true
-        sources:
-          - ubuntu-toolchain-r-test
-        # `packages` are installed in `before_install` for retries.
+    # # Not using addon to control retries
+    # addons:
+    #   apt:
+    #     sources:
+    #       - ubuntu-toolchain-r-test
     before_install:
       - |-
         for seconds in 1 25 100 -1; do
+          sudo -E apt-add-repository -y "ppa:ubuntu-toolchain-r/test"
+          if [[ $? = 0 ]]; then break; else sleep "$seconds" || exit 1; fi
+        done
+      - |-
+        for seconds in 1 25 100 -1; do
           travis_apt_get_update
 
           sudo -E apt-get -yq --no-install-suggests --no-install-recommends $travis_apt_get_options install \
@@ -279,16 +282,19 @@ env: https://github.com/ruby/ruby/blob/trunk/.travis.yml#L282
       - GCC_FLAGS=-m32
       - debugflags=-g0
       - SETARCH='setarch i686 --verbose --3gb'
-    addons:
-      apt:
-        config:
-          retries: true
-        sources:
-          - ubuntu-toolchain-r-test
-        # `packages` are installed in `before_install` for retries.
+    # # Not using addon to control retries
+    # addons:
+    #   apt:
+    #     sources:
+    #       - ubuntu-toolchain-r-test
     before_install:
       - |-
         for seconds in 1 25 100 -1; do
+          sudo -E apt-add-repository -y "ppa:ubuntu-toolchain-r/test"
+          if [[ $? = 0 ]]; then break; else sleep "$seconds" || exit 1; fi
+        done
+      - |-
+        for seconds in 1 25 100 -1; do
           travis_apt_get_update
 
           sudo -E apt-get -yq --no-install-suggests --no-install-recommends $travis_apt_get_options install \
-- 
cgit v0.10.2


--
ML: ruby-changes@q...
Info: http://www.atdot.net/~ko1/quickml/

[前][次][番号順一覧][スレッド一覧]